import request from '@/utils/request'

// 查询列表
export function listPaymentInfo(query) {
  return request({
    url: '/finance/cash/payment-info/page',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getPaymentInfo(dictId) {
  return request({
    url: '/finance/cash/payment-info/get?id=' + dictId,
    method: 'get'
  })
}

// 新增
export function addPaymentInfo(data) {
  return request({
    url: '/finance/cash/payment-info/create',
    method: 'post',
    data: data
  })
}

// 修改
export function updatePaymentInfo(data) {
  return request({
    url: '/finance/cash/payment-info/update',
    method: 'put',
    data: data
  })
}

// 删除
export function delPaymentInfo(dictId) {
  return request({
    url: '/finance/cash/payment-info/delete?id=' + dictId,
    method: 'delete'
  })
}

// 导出
export function exportPaymentInfo(query) {
  return request({
    url: '/finance/cash/payment-info/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}